package cn.superdesk.uniorder.dubbo.consumer.sys.role;

import cn.superdesk.uniorder.common.rest.response.R;
import cn.superdesk.uniorder.dao.entity.sys.role.SysMenuOpenApi;
import cn.superdesk.uniorder.dto.param.system.role.SysMenuOpenApiParam;
import cn.superdesk.uniorder.dto.param.system.role.SysMenuOpenApiQueryCriteria;
import cn.superdesk.uniorder.dubbo.facade.sys.role.DubboSysMenuOpenApiService;
import com.alibaba.dubbo.config.annotation.Reference;
import com.github.pagehelper.PageInfo;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

import java.util.List;
import java.util.Map;

/**
 * @Description: 一级菜单-二级菜单-按钮 X 开放接口
 * @Author: linjinyu
 * @Email linjinyu@avic-s.com
 * @CreateDate: 2021-11-01 10:58:18
 * @UpdateUser: linjinyu
 * @UpdateDate: 2021-11-01 10:58:18
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@Slf4j
@Component
public class SysMenuOpenApiDubboConsumerService {

	@Reference(version = "1.0.0", timeout = 10000, retries = -1)
	private DubboSysMenuOpenApiService dubboSysMenuOpenApiService;


	/****************************************** extends BaseService 部分 start ******************************************/

	public void addObj(SysMenuOpenApiParam param) {

		dubboSysMenuOpenApiService.addObj(param);

	}

	public void updateObj(SysMenuOpenApiParam param) {

		dubboSysMenuOpenApiService.updateObj(param);
	}

	public void deleteObj(Long id) {

		dubboSysMenuOpenApiService.deleteObj(id);
	}

	public SysMenuOpenApi findById(Long id) {

		return dubboSysMenuOpenApiService.findById(id);
	}

	public PageInfo<SysMenuOpenApi> findByPaging(Map<String, Object> conditions, Integer pageNun, Integer pageSize) {

		return dubboSysMenuOpenApiService.findByPaging(conditions, pageNun, pageSize);
	}

	public List<SysMenuOpenApi> findAll(Map<String, Object> queryMap) {

		return dubboSysMenuOpenApiService.findAll(queryMap);
	}

	/****************************************** extends BaseService 部分   end ******************************************/


	public void addSysMenuOpenApi(SysMenuOpenApiParam param) {

		dubboSysMenuOpenApiService.addSysMenuOpenApi(param);
	}


	public void updateSysMenuOpenApi(SysMenuOpenApiParam param) {

		dubboSysMenuOpenApiService.updateSysMenuOpenApi(param);
	}


	public void deleteSysMenuOpenApi(Long id) {
		dubboSysMenuOpenApiService.deleteSysMenuOpenApi(id);
	}


	public SysMenuOpenApi findSysMenuOpenApiById(Long id) {

		return dubboSysMenuOpenApiService.findSysMenuOpenApiById(id);
	}


	public R<List<SysMenuOpenApi>> pageQuery(Map<String, Object> conditions, int pageNun, int pageSize) {

		return dubboSysMenuOpenApiService.pageQuery(conditions, pageNun, pageSize);
	}


	public R<List<SysMenuOpenApi>> pageQueryGenericParam(SysMenuOpenApiQueryCriteria queryCriteria) {

		return dubboSysMenuOpenApiService.pageQueryGenericParam(queryCriteria);
	}
}
